Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mx.metadata
Class AttributeOperationResolver

    java.lang.Object
      org.jboss.mx.metadata.AttributeOperationResolver

public class AttributeOperationResolver
extends Object

AttributeOperationResolver is a modified TST for mapping an Integer code against attribute and operation keys. Note that this implementation was chosen to allow fast resolution of compound keys - namely the operationName and signature[] passed to an MBean's invoke() method. For consistency it also keeps track of attribute names (which are a single key), although for those a hashmap would have done just as well.

Author:
  Trevor Squires.

Nested Class Summary
`static class` | `AttributeOperationResolver.Node`

Constructor Summary
`AttributeOperationResolver()` Default constructor.
`AttributeOperationResolver(MBeanAttributeInfo[] attributes, MBeanOperationInfo[] operations)` Uses the AttributeInfo and OperationInfo arrays to configure the resolver.
`AttributeOperationResolver(MBeanInfo info)` Uses the AttributeInfo and OperationInfo arrays in the MBeanInfo to configure the resolver.

Method Summary
`protected AttributeOperationResolver.Node` | `createNode(String key)`
`protected AttributeOperationResolver.Node` | `createOrGetNode(AttributeOperationResolver.Node parent, String key)`
`protected AttributeOperationResolver.Node` | `createValueNode(AttributeOperationResolver.Node parent, String key)`
`Integer` | `lookup(String attrName)`
`Integer` | `lookup(String actionName, String[] signature)`
`void` | `store(String attrName, Integer code)`
`void` | `store(String mname, String[] signature, Integer code)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeOperationResolver

    public AttributeOperationResolver()

  Default constructor.

### AttributeOperationResolver

    public AttributeOperationResolver(MBeanInfo info)

  Uses the AttributeInfo and OperationInfo arrays in the MBeanInfo to configure the resolver. Each attribute and operation will be assigned a code which corresponds to it's position in the info array.

### AttributeOperationResolver

    public AttributeOperationResolver(MBeanAttributeInfo[] attributes,
                                      MBeanOperationInfo[] operations)

  Uses the AttributeInfo and OperationInfo arrays to configure the resolver. Each attribute and operation will be assigned a code which corresponds to it's position in the info array.

Method Detail

### lookup

    public Integer lookup(String actionName,
                          String[] signature)

### lookup

    public Integer lookup(String attrName)

### store

    public void store(String mname,
                      String[] signature,
                      Integer code)

### store

    public void store(String attrName,
                      Integer code)

### createNode

    protected AttributeOperationResolver.Node createNode(String key)

### createValueNode

    protected AttributeOperationResolver.Node createValueNode(AttributeOperationResolver.Node parent,
                                                              String key)

### createOrGetNode

    protected AttributeOperationResolver.Node createOrGetNode(AttributeOperationResolver.Node parent,
                                                              String key)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.